IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network91.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
- Network address
91.0.0.0- Broadcast address
91.255.255.255- First usable
91.0.0.1- Last usable
91.255.255.254- Usable hosts
- 16,777,214 (16,777,216 less the network and broadcast addresses)
- Subnet mask
255.0.0.0- Wildcard mask
0.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /8
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
5B000000· Integer1526726656to1543503871 - Reverse DNS zone
91.in-addr.arpa
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01011011..00000000.00000000.00000000 | 91.0.0.0 |
| Subnet mask | 11111111..00000000.00000000.00000000 | 255.0.0.0 |
| Network | 01011011..00000000.00000000.00000000 | 91.0.0.0 |
| Broadcast | 01011011..11111111.11111111.11111111 | 91.255.255.255 |
Split into smaller subnets
/9 (2)/10 (4)/11 (8)/12 (16)/13 (32)/14 (64)/15 (128)/16 (256)/17 (512)/18 (1,024)/19 (2,048)/20 (4,096)
91.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 91.0.0.0/17 | 91.0.0.1 to 91.0.127.254 | 91.0.127.255 | 32,766 |
| 2 | 91.0.128.0/17 | 91.0.128.1 to 91.0.255.254 | 91.0.255.255 | 32,766 |
| 3 | 91.1.0.0/17 | 91.1.0.1 to 91.1.127.254 | 91.1.127.255 | 32,766 |
| 4 | 91.1.128.0/17 | 91.1.128.1 to 91.1.255.254 | 91.1.255.255 | 32,766 |
| 5 | 91.2.0.0/17 | 91.2.0.1 to 91.2.127.254 | 91.2.127.255 | 32,766 |
| 6 | 91.2.128.0/17 | 91.2.128.1 to 91.2.255.254 | 91.2.255.255 | 32,766 |
| 7 | 91.3.0.0/17 | 91.3.0.1 to 91.3.127.254 | 91.3.127.255 | 32,766 |
| 8 | 91.3.128.0/17 | 91.3.128.1 to 91.3.255.254 | 91.3.255.255 | 32,766 |
| 9 | 91.4.0.0/17 | 91.4.0.1 to 91.4.127.254 | 91.4.127.255 | 32,766 |
| 10 | 91.4.128.0/17 | 91.4.128.1 to 91.4.255.254 | 91.4.255.255 | 32,766 |
| 11 | 91.5.0.0/17 | 91.5.0.1 to 91.5.127.254 | 91.5.127.255 | 32,766 |
| 12 | 91.5.128.0/17 | 91.5.128.1 to 91.5.255.254 | 91.5.255.255 | 32,766 |
| 13 | 91.6.0.0/17 | 91.6.0.1 to 91.6.127.254 | 91.6.127.255 | 32,766 |
| 14 | 91.6.128.0/17 | 91.6.128.1 to 91.6.255.254 | 91.6.255.255 | 32,766 |
| 15 | 91.7.0.0/17 | 91.7.0.1 to 91.7.127.254 | 91.7.127.255 | 32,766 |
| 16 | 91.7.128.0/17 | 91.7.128.1 to 91.7.255.254 | 91.7.255.255 | 32,766 |
| 17 | 91.8.0.0/17 | 91.8.0.1 to 91.8.127.254 | 91.8.127.255 | 32,766 |
| 18 | 91.8.128.0/17 | 91.8.128.1 to 91.8.255.254 | 91.8.255.255 | 32,766 |
| 19 | 91.9.0.0/17 | 91.9.0.1 to 91.9.127.254 | 91.9.127.255 | 32,766 |
| 20 | 91.9.128.0/17 | 91.9.128.1 to 91.9.255.254 | 91.9.255.255 | 32,766 |
| 21 | 91.10.0.0/17 | 91.10.0.1 to 91.10.127.254 | 91.10.127.255 | 32,766 |
| 22 | 91.10.128.0/17 | 91.10.128.1 to 91.10.255.254 | 91.10.255.255 | 32,766 |
| 23 | 91.11.0.0/17 | 91.11.0.1 to 91.11.127.254 | 91.11.127.255 | 32,766 |
| 24 | 91.11.128.0/17 | 91.11.128.1 to 91.11.255.254 | 91.11.255.255 | 32,766 |
| 25 | 91.12.0.0/17 | 91.12.0.1 to 91.12.127.254 | 91.12.127.255 | 32,766 |
| 26 | 91.12.128.0/17 | 91.12.128.1 to 91.12.255.254 | 91.12.255.255 | 32,766 |
| 27 | 91.13.0.0/17 | 91.13.0.1 to 91.13.127.254 | 91.13.127.255 | 32,766 |
| 28 | 91.13.128.0/17 | 91.13.128.1 to 91.13.255.254 | 91.13.255.255 | 32,766 |
| 29 | 91.14.0.0/17 | 91.14.0.1 to 91.14.127.254 | 91.14.127.255 | 32,766 |
| 30 | 91.14.128.0/17 | 91.14.128.1 to 91.14.255.254 | 91.14.255.255 | 32,766 |
| 31 | 91.15.0.0/17 | 91.15.0.1 to 91.15.127.254 | 91.15.127.255 | 32,766 |
| 32 | 91.15.128.0/17 | 91.15.128.1 to 91.15.255.254 | 91.15.255.255 | 32,766 |
| 33 | 91.16.0.0/17 | 91.16.0.1 to 91.16.127.254 | 91.16.127.255 | 32,766 |
| 34 | 91.16.128.0/17 | 91.16.128.1 to 91.16.255.254 | 91.16.255.255 | 32,766 |
| 35 | 91.17.0.0/17 | 91.17.0.1 to 91.17.127.254 | 91.17.127.255 | 32,766 |
| 36 | 91.17.128.0/17 | 91.17.128.1 to 91.17.255.254 | 91.17.255.255 | 32,766 |
| 37 | 91.18.0.0/17 | 91.18.0.1 to 91.18.127.254 | 91.18.127.255 | 32,766 |
| 38 | 91.18.128.0/17 | 91.18.128.1 to 91.18.255.254 | 91.18.255.255 | 32,766 |
| 39 | 91.19.0.0/17 | 91.19.0.1 to 91.19.127.254 | 91.19.127.255 | 32,766 |
| 40 | 91.19.128.0/17 | 91.19.128.1 to 91.19.255.254 | 91.19.255.255 | 32,766 |
| 41 | 91.20.0.0/17 | 91.20.0.1 to 91.20.127.254 | 91.20.127.255 | 32,766 |
| 42 | 91.20.128.0/17 | 91.20.128.1 to 91.20.255.254 | 91.20.255.255 | 32,766 |
| 43 | 91.21.0.0/17 | 91.21.0.1 to 91.21.127.254 | 91.21.127.255 | 32,766 |
| 44 | 91.21.128.0/17 | 91.21.128.1 to 91.21.255.254 | 91.21.255.255 | 32,766 |
| 45 | 91.22.0.0/17 | 91.22.0.1 to 91.22.127.254 | 91.22.127.255 | 32,766 |
| 46 | 91.22.128.0/17 | 91.22.128.1 to 91.22.255.254 | 91.22.255.255 | 32,766 |
| 47 | 91.23.0.0/17 | 91.23.0.1 to 91.23.127.254 | 91.23.127.255 | 32,766 |
| 48 | 91.23.128.0/17 | 91.23.128.1 to 91.23.255.254 | 91.23.255.255 | 32,766 |
| 49 | 91.24.0.0/17 | 91.24.0.1 to 91.24.127.254 | 91.24.127.255 | 32,766 |
| 50 | 91.24.128.0/17 | 91.24.128.1 to 91.24.255.254 | 91.24.255.255 | 32,766 |
| 51 | 91.25.0.0/17 | 91.25.0.1 to 91.25.127.254 | 91.25.127.255 | 32,766 |
| 52 | 91.25.128.0/17 | 91.25.128.1 to 91.25.255.254 | 91.25.255.255 | 32,766 |
| 53 | 91.26.0.0/17 | 91.26.0.1 to 91.26.127.254 | 91.26.127.255 | 32,766 |
| 54 | 91.26.128.0/17 | 91.26.128.1 to 91.26.255.254 | 91.26.255.255 | 32,766 |
| 55 | 91.27.0.0/17 | 91.27.0.1 to 91.27.127.254 | 91.27.127.255 | 32,766 |
| 56 | 91.27.128.0/17 | 91.27.128.1 to 91.27.255.254 | 91.27.255.255 | 32,766 |
| 57 | 91.28.0.0/17 | 91.28.0.1 to 91.28.127.254 | 91.28.127.255 | 32,766 |
| 58 | 91.28.128.0/17 | 91.28.128.1 to 91.28.255.254 | 91.28.255.255 | 32,766 |
| 59 | 91.29.0.0/17 | 91.29.0.1 to 91.29.127.254 | 91.29.127.255 | 32,766 |
| 60 | 91.29.128.0/17 | 91.29.128.1 to 91.29.255.254 | 91.29.255.255 | 32,766 |
| 61 | 91.30.0.0/17 | 91.30.0.1 to 91.30.127.254 | 91.30.127.255 | 32,766 |
| 62 | 91.30.128.0/17 | 91.30.128.1 to 91.30.255.254 | 91.30.255.255 | 32,766 |
| 63 | 91.31.0.0/17 | 91.31.0.1 to 91.31.127.254 | 91.31.127.255 | 32,766 |
| 64 | 91.31.128.0/17 | 91.31.128.1 to 91.31.255.254 | 91.31.255.255 | 32,766 |
| 65 | 91.32.0.0/17 | 91.32.0.1 to 91.32.127.254 | 91.32.127.255 | 32,766 |
| 66 | 91.32.128.0/17 | 91.32.128.1 to 91.32.255.254 | 91.32.255.255 | 32,766 |
| 67 | 91.33.0.0/17 | 91.33.0.1 to 91.33.127.254 | 91.33.127.255 | 32,766 |
| 68 | 91.33.128.0/17 | 91.33.128.1 to 91.33.255.254 | 91.33.255.255 | 32,766 |
| 69 | 91.34.0.0/17 | 91.34.0.1 to 91.34.127.254 | 91.34.127.255 | 32,766 |
| 70 | 91.34.128.0/17 | 91.34.128.1 to 91.34.255.254 | 91.34.255.255 | 32,766 |
| 71 | 91.35.0.0/17 | 91.35.0.1 to 91.35.127.254 | 91.35.127.255 | 32,766 |
| 72 | 91.35.128.0/17 | 91.35.128.1 to 91.35.255.254 | 91.35.255.255 | 32,766 |
| 73 | 91.36.0.0/17 | 91.36.0.1 to 91.36.127.254 | 91.36.127.255 | 32,766 |
| 74 | 91.36.128.0/17 | 91.36.128.1 to 91.36.255.254 | 91.36.255.255 | 32,766 |
| 75 | 91.37.0.0/17 | 91.37.0.1 to 91.37.127.254 | 91.37.127.255 | 32,766 |
| 76 | 91.37.128.0/17 | 91.37.128.1 to 91.37.255.254 | 91.37.255.255 | 32,766 |
| 77 | 91.38.0.0/17 | 91.38.0.1 to 91.38.127.254 | 91.38.127.255 | 32,766 |
| 78 | 91.38.128.0/17 | 91.38.128.1 to 91.38.255.254 | 91.38.255.255 | 32,766 |
| 79 | 91.39.0.0/17 | 91.39.0.1 to 91.39.127.254 | 91.39.127.255 | 32,766 |
| 80 | 91.39.128.0/17 | 91.39.128.1 to 91.39.255.254 | 91.39.255.255 | 32,766 |
| 81 | 91.40.0.0/17 | 91.40.0.1 to 91.40.127.254 | 91.40.127.255 | 32,766 |
| 82 | 91.40.128.0/17 | 91.40.128.1 to 91.40.255.254 | 91.40.255.255 | 32,766 |
| 83 | 91.41.0.0/17 | 91.41.0.1 to 91.41.127.254 | 91.41.127.255 | 32,766 |
| 84 | 91.41.128.0/17 | 91.41.128.1 to 91.41.255.254 | 91.41.255.255 | 32,766 |
| 85 | 91.42.0.0/17 | 91.42.0.1 to 91.42.127.254 | 91.42.127.255 | 32,766 |
| 86 | 91.42.128.0/17 | 91.42.128.1 to 91.42.255.254 | 91.42.255.255 | 32,766 |
| 87 | 91.43.0.0/17 | 91.43.0.1 to 91.43.127.254 | 91.43.127.255 | 32,766 |
| 88 | 91.43.128.0/17 | 91.43.128.1 to 91.43.255.254 | 91.43.255.255 | 32,766 |
| 89 | 91.44.0.0/17 | 91.44.0.1 to 91.44.127.254 | 91.44.127.255 | 32,766 |
| 90 | 91.44.128.0/17 | 91.44.128.1 to 91.44.255.254 | 91.44.255.255 | 32,766 |
| 91 | 91.45.0.0/17 | 91.45.0.1 to 91.45.127.254 | 91.45.127.255 | 32,766 |
| 92 | 91.45.128.0/17 | 91.45.128.1 to 91.45.255.254 | 91.45.255.255 | 32,766 |
| 93 | 91.46.0.0/17 | 91.46.0.1 to 91.46.127.254 | 91.46.127.255 | 32,766 |
| 94 | 91.46.128.0/17 | 91.46.128.1 to 91.46.255.254 | 91.46.255.255 | 32,766 |
| 95 | 91.47.0.0/17 | 91.47.0.1 to 91.47.127.254 | 91.47.127.255 | 32,766 |
| 96 | 91.47.128.0/17 | 91.47.128.1 to 91.47.255.254 | 91.47.255.255 | 32,766 |
| 97 | 91.48.0.0/17 | 91.48.0.1 to 91.48.127.254 | 91.48.127.255 | 32,766 |
| 98 | 91.48.128.0/17 | 91.48.128.1 to 91.48.255.254 | 91.48.255.255 | 32,766 |
| 99 | 91.49.0.0/17 | 91.49.0.1 to 91.49.127.254 | 91.49.127.255 | 32,766 |
| 100 | 91.49.128.0/17 | 91.49.128.1 to 91.49.255.254 | 91.49.255.255 | 32,766 |
| 101 | 91.50.0.0/17 | 91.50.0.1 to 91.50.127.254 | 91.50.127.255 | 32,766 |
| 102 | 91.50.128.0/17 | 91.50.128.1 to 91.50.255.254 | 91.50.255.255 | 32,766 |
| 103 | 91.51.0.0/17 | 91.51.0.1 to 91.51.127.254 | 91.51.127.255 | 32,766 |
| 104 | 91.51.128.0/17 | 91.51.128.1 to 91.51.255.254 | 91.51.255.255 | 32,766 |
| 105 | 91.52.0.0/17 | 91.52.0.1 to 91.52.127.254 | 91.52.127.255 | 32,766 |
| 106 | 91.52.128.0/17 | 91.52.128.1 to 91.52.255.254 | 91.52.255.255 | 32,766 |
| 107 | 91.53.0.0/17 | 91.53.0.1 to 91.53.127.254 | 91.53.127.255 | 32,766 |
| 108 | 91.53.128.0/17 | 91.53.128.1 to 91.53.255.254 | 91.53.255.255 | 32,766 |
| 109 | 91.54.0.0/17 | 91.54.0.1 to 91.54.127.254 | 91.54.127.255 | 32,766 |
| 110 | 91.54.128.0/17 | 91.54.128.1 to 91.54.255.254 | 91.54.255.255 | 32,766 |
| 111 | 91.55.0.0/17 | 91.55.0.1 to 91.55.127.254 | 91.55.127.255 | 32,766 |
| 112 | 91.55.128.0/17 | 91.55.128.1 to 91.55.255.254 | 91.55.255.255 | 32,766 |
| 113 | 91.56.0.0/17 | 91.56.0.1 to 91.56.127.254 | 91.56.127.255 | 32,766 |
| 114 | 91.56.128.0/17 | 91.56.128.1 to 91.56.255.254 | 91.56.255.255 | 32,766 |
| 115 | 91.57.0.0/17 | 91.57.0.1 to 91.57.127.254 | 91.57.127.255 | 32,766 |
| 116 | 91.57.128.0/17 | 91.57.128.1 to 91.57.255.254 | 91.57.255.255 | 32,766 |
| 117 | 91.58.0.0/17 | 91.58.0.1 to 91.58.127.254 | 91.58.127.255 | 32,766 |
| 118 | 91.58.128.0/17 | 91.58.128.1 to 91.58.255.254 | 91.58.255.255 | 32,766 |
| 119 | 91.59.0.0/17 | 91.59.0.1 to 91.59.127.254 | 91.59.127.255 | 32,766 |
| 120 | 91.59.128.0/17 | 91.59.128.1 to 91.59.255.254 | 91.59.255.255 | 32,766 |
| 121 | 91.60.0.0/17 | 91.60.0.1 to 91.60.127.254 | 91.60.127.255 | 32,766 |
| 122 | 91.60.128.0/17 | 91.60.128.1 to 91.60.255.254 | 91.60.255.255 | 32,766 |
| 123 | 91.61.0.0/17 | 91.61.0.1 to 91.61.127.254 | 91.61.127.255 | 32,766 |
| 124 | 91.61.128.0/17 | 91.61.128.1 to 91.61.255.254 | 91.61.255.255 | 32,766 |
| 125 | 91.62.0.0/17 | 91.62.0.1 to 91.62.127.254 | 91.62.127.255 | 32,766 |
| 126 | 91.62.128.0/17 | 91.62.128.1 to 91.62.255.254 | 91.62.255.255 | 32,766 |
| 127 | 91.63.0.0/17 | 91.63.0.1 to 91.63.127.254 | 91.63.127.255 | 32,766 |
| 128 | 91.63.128.0/17 | 91.63.128.1 to 91.63.255.254 | 91.63.255.255 | 32,766 |
| 129 | 91.64.0.0/17 | 91.64.0.1 to 91.64.127.254 | 91.64.127.255 | 32,766 |
| 130 | 91.64.128.0/17 | 91.64.128.1 to 91.64.255.254 | 91.64.255.255 | 32,766 |
| 131 | 91.65.0.0/17 | 91.65.0.1 to 91.65.127.254 | 91.65.127.255 | 32,766 |
| 132 | 91.65.128.0/17 | 91.65.128.1 to 91.65.255.254 | 91.65.255.255 | 32,766 |
| 133 | 91.66.0.0/17 | 91.66.0.1 to 91.66.127.254 | 91.66.127.255 | 32,766 |
| 134 | 91.66.128.0/17 | 91.66.128.1 to 91.66.255.254 | 91.66.255.255 | 32,766 |
| 135 | 91.67.0.0/17 | 91.67.0.1 to 91.67.127.254 | 91.67.127.255 | 32,766 |
| 136 | 91.67.128.0/17 | 91.67.128.1 to 91.67.255.254 | 91.67.255.255 | 32,766 |
| 137 | 91.68.0.0/17 | 91.68.0.1 to 91.68.127.254 | 91.68.127.255 | 32,766 |
| 138 | 91.68.128.0/17 | 91.68.128.1 to 91.68.255.254 | 91.68.255.255 | 32,766 |
| 139 | 91.69.0.0/17 | 91.69.0.1 to 91.69.127.254 | 91.69.127.255 | 32,766 |
| 140 | 91.69.128.0/17 | 91.69.128.1 to 91.69.255.254 | 91.69.255.255 | 32,766 |
| 141 | 91.70.0.0/17 | 91.70.0.1 to 91.70.127.254 | 91.70.127.255 | 32,766 |
| 142 | 91.70.128.0/17 | 91.70.128.1 to 91.70.255.254 | 91.70.255.255 | 32,766 |
| 143 | 91.71.0.0/17 | 91.71.0.1 to 91.71.127.254 | 91.71.127.255 | 32,766 |
| 144 | 91.71.128.0/17 | 91.71.128.1 to 91.71.255.254 | 91.71.255.255 | 32,766 |
| 145 | 91.72.0.0/17 | 91.72.0.1 to 91.72.127.254 | 91.72.127.255 | 32,766 |
| 146 | 91.72.128.0/17 | 91.72.128.1 to 91.72.255.254 | 91.72.255.255 | 32,766 |
| 147 | 91.73.0.0/17 | 91.73.0.1 to 91.73.127.254 | 91.73.127.255 | 32,766 |
| 148 | 91.73.128.0/17 | 91.73.128.1 to 91.73.255.254 | 91.73.255.255 | 32,766 |
| 149 | 91.74.0.0/17 | 91.74.0.1 to 91.74.127.254 | 91.74.127.255 | 32,766 |
| 150 | 91.74.128.0/17 | 91.74.128.1 to 91.74.255.254 | 91.74.255.255 | 32,766 |
| 151 | 91.75.0.0/17 | 91.75.0.1 to 91.75.127.254 | 91.75.127.255 | 32,766 |
| 152 | 91.75.128.0/17 | 91.75.128.1 to 91.75.255.254 | 91.75.255.255 | 32,766 |
| 153 | 91.76.0.0/17 | 91.76.0.1 to 91.76.127.254 | 91.76.127.255 | 32,766 |
| 154 | 91.76.128.0/17 | 91.76.128.1 to 91.76.255.254 | 91.76.255.255 | 32,766 |
| 155 | 91.77.0.0/17 | 91.77.0.1 to 91.77.127.254 | 91.77.127.255 | 32,766 |
| 156 | 91.77.128.0/17 | 91.77.128.1 to 91.77.255.254 | 91.77.255.255 | 32,766 |
| 157 | 91.78.0.0/17 | 91.78.0.1 to 91.78.127.254 | 91.78.127.255 | 32,766 |
| 158 | 91.78.128.0/17 | 91.78.128.1 to 91.78.255.254 | 91.78.255.255 | 32,766 |
| 159 | 91.79.0.0/17 | 91.79.0.1 to 91.79.127.254 | 91.79.127.255 | 32,766 |
| 160 | 91.79.128.0/17 | 91.79.128.1 to 91.79.255.254 | 91.79.255.255 | 32,766 |
| 161 | 91.80.0.0/17 | 91.80.0.1 to 91.80.127.254 | 91.80.127.255 | 32,766 |
| 162 | 91.80.128.0/17 | 91.80.128.1 to 91.80.255.254 | 91.80.255.255 | 32,766 |
| 163 | 91.81.0.0/17 | 91.81.0.1 to 91.81.127.254 | 91.81.127.255 | 32,766 |
| 164 | 91.81.128.0/17 | 91.81.128.1 to 91.81.255.254 | 91.81.255.255 | 32,766 |
| 165 | 91.82.0.0/17 | 91.82.0.1 to 91.82.127.254 | 91.82.127.255 | 32,766 |
| 166 | 91.82.128.0/17 | 91.82.128.1 to 91.82.255.254 | 91.82.255.255 | 32,766 |
| 167 | 91.83.0.0/17 | 91.83.0.1 to 91.83.127.254 | 91.83.127.255 | 32,766 |
| 168 | 91.83.128.0/17 | 91.83.128.1 to 91.83.255.254 | 91.83.255.255 | 32,766 |
| 169 | 91.84.0.0/17 | 91.84.0.1 to 91.84.127.254 | 91.84.127.255 | 32,766 |
| 170 | 91.84.128.0/17 | 91.84.128.1 to 91.84.255.254 | 91.84.255.255 | 32,766 |
| 171 | 91.85.0.0/17 | 91.85.0.1 to 91.85.127.254 | 91.85.127.255 | 32,766 |
| 172 | 91.85.128.0/17 | 91.85.128.1 to 91.85.255.254 | 91.85.255.255 | 32,766 |
| 173 | 91.86.0.0/17 | 91.86.0.1 to 91.86.127.254 | 91.86.127.255 | 32,766 |
| 174 | 91.86.128.0/17 | 91.86.128.1 to 91.86.255.254 | 91.86.255.255 | 32,766 |
| 175 | 91.87.0.0/17 | 91.87.0.1 to 91.87.127.254 | 91.87.127.255 | 32,766 |
| 176 | 91.87.128.0/17 | 91.87.128.1 to 91.87.255.254 | 91.87.255.255 | 32,766 |
| 177 | 91.88.0.0/17 | 91.88.0.1 to 91.88.127.254 | 91.88.127.255 | 32,766 |
| 178 | 91.88.128.0/17 | 91.88.128.1 to 91.88.255.254 | 91.88.255.255 | 32,766 |
| 179 | 91.89.0.0/17 | 91.89.0.1 to 91.89.127.254 | 91.89.127.255 | 32,766 |
| 180 | 91.89.128.0/17 | 91.89.128.1 to 91.89.255.254 | 91.89.255.255 | 32,766 |
| 181 | 91.90.0.0/17 | 91.90.0.1 to 91.90.127.254 | 91.90.127.255 | 32,766 |
| 182 | 91.90.128.0/17 | 91.90.128.1 to 91.90.255.254 | 91.90.255.255 | 32,766 |
| 183 | 91.91.0.0/17 | 91.91.0.1 to 91.91.127.254 | 91.91.127.255 | 32,766 |
| 184 | 91.91.128.0/17 | 91.91.128.1 to 91.91.255.254 | 91.91.255.255 | 32,766 |
| 185 | 91.92.0.0/17 | 91.92.0.1 to 91.92.127.254 | 91.92.127.255 | 32,766 |
| 186 | 91.92.128.0/17 | 91.92.128.1 to 91.92.255.254 | 91.92.255.255 | 32,766 |
| 187 | 91.93.0.0/17 | 91.93.0.1 to 91.93.127.254 | 91.93.127.255 | 32,766 |
| 188 | 91.93.128.0/17 | 91.93.128.1 to 91.93.255.254 | 91.93.255.255 | 32,766 |
| 189 | 91.94.0.0/17 | 91.94.0.1 to 91.94.127.254 | 91.94.127.255 | 32,766 |
| 190 | 91.94.128.0/17 | 91.94.128.1 to 91.94.255.254 | 91.94.255.255 | 32,766 |
| 191 | 91.95.0.0/17 | 91.95.0.1 to 91.95.127.254 | 91.95.127.255 | 32,766 |
| 192 | 91.95.128.0/17 | 91.95.128.1 to 91.95.255.254 | 91.95.255.255 | 32,766 |
| 193 | 91.96.0.0/17 | 91.96.0.1 to 91.96.127.254 | 91.96.127.255 | 32,766 |
| 194 | 91.96.128.0/17 | 91.96.128.1 to 91.96.255.254 | 91.96.255.255 | 32,766 |
| 195 | 91.97.0.0/17 | 91.97.0.1 to 91.97.127.254 | 91.97.127.255 | 32,766 |
| 196 | 91.97.128.0/17 | 91.97.128.1 to 91.97.255.254 | 91.97.255.255 | 32,766 |
| 197 | 91.98.0.0/17 | 91.98.0.1 to 91.98.127.254 | 91.98.127.255 | 32,766 |
| 198 | 91.98.128.0/17 | 91.98.128.1 to 91.98.255.254 | 91.98.255.255 | 32,766 |
| 199 | 91.99.0.0/17 | 91.99.0.1 to 91.99.127.254 | 91.99.127.255 | 32,766 |
| 200 | 91.99.128.0/17 | 91.99.128.1 to 91.99.255.254 | 91.99.255.255 | 32,766 |
| 201 | 91.100.0.0/17 | 91.100.0.1 to 91.100.127.254 | 91.100.127.255 | 32,766 |
| 202 | 91.100.128.0/17 | 91.100.128.1 to 91.100.255.254 | 91.100.255.255 | 32,766 |
| 203 | 91.101.0.0/17 | 91.101.0.1 to 91.101.127.254 | 91.101.127.255 | 32,766 |
| 204 | 91.101.128.0/17 | 91.101.128.1 to 91.101.255.254 | 91.101.255.255 | 32,766 |
| 205 | 91.102.0.0/17 | 91.102.0.1 to 91.102.127.254 | 91.102.127.255 | 32,766 |
| 206 | 91.102.128.0/17 | 91.102.128.1 to 91.102.255.254 | 91.102.255.255 | 32,766 |
| 207 | 91.103.0.0/17 | 91.103.0.1 to 91.103.127.254 | 91.103.127.255 | 32,766 |
| 208 | 91.103.128.0/17 | 91.103.128.1 to 91.103.255.254 | 91.103.255.255 | 32,766 |
| 209 | 91.104.0.0/17 | 91.104.0.1 to 91.104.127.254 | 91.104.127.255 | 32,766 |
| 210 | 91.104.128.0/17 | 91.104.128.1 to 91.104.255.254 | 91.104.255.255 | 32,766 |
| 211 | 91.105.0.0/17 | 91.105.0.1 to 91.105.127.254 | 91.105.127.255 | 32,766 |
| 212 | 91.105.128.0/17 | 91.105.128.1 to 91.105.255.254 | 91.105.255.255 | 32,766 |
| 213 | 91.106.0.0/17 | 91.106.0.1 to 91.106.127.254 | 91.106.127.255 | 32,766 |
| 214 | 91.106.128.0/17 | 91.106.128.1 to 91.106.255.254 | 91.106.255.255 | 32,766 |
| 215 | 91.107.0.0/17 | 91.107.0.1 to 91.107.127.254 | 91.107.127.255 | 32,766 |
| 216 | 91.107.128.0/17 | 91.107.128.1 to 91.107.255.254 | 91.107.255.255 | 32,766 |
| 217 | 91.108.0.0/17 | 91.108.0.1 to 91.108.127.254 | 91.108.127.255 | 32,766 |
| 218 | 91.108.128.0/17 | 91.108.128.1 to 91.108.255.254 | 91.108.255.255 | 32,766 |
| 219 | 91.109.0.0/17 | 91.109.0.1 to 91.109.127.254 | 91.109.127.255 | 32,766 |
| 220 | 91.109.128.0/17 | 91.109.128.1 to 91.109.255.254 | 91.109.255.255 | 32,766 |
| 221 | 91.110.0.0/17 | 91.110.0.1 to 91.110.127.254 | 91.110.127.255 | 32,766 |
| 222 | 91.110.128.0/17 | 91.110.128.1 to 91.110.255.254 | 91.110.255.255 | 32,766 |
| 223 | 91.111.0.0/17 | 91.111.0.1 to 91.111.127.254 | 91.111.127.255 | 32,766 |
| 224 | 91.111.128.0/17 | 91.111.128.1 to 91.111.255.254 | 91.111.255.255 | 32,766 |
| 225 | 91.112.0.0/17 | 91.112.0.1 to 91.112.127.254 | 91.112.127.255 | 32,766 |
| 226 | 91.112.128.0/17 | 91.112.128.1 to 91.112.255.254 | 91.112.255.255 | 32,766 |
| 227 | 91.113.0.0/17 | 91.113.0.1 to 91.113.127.254 | 91.113.127.255 | 32,766 |
| 228 | 91.113.128.0/17 | 91.113.128.1 to 91.113.255.254 | 91.113.255.255 | 32,766 |
| 229 | 91.114.0.0/17 | 91.114.0.1 to 91.114.127.254 | 91.114.127.255 | 32,766 |
| 230 | 91.114.128.0/17 | 91.114.128.1 to 91.114.255.254 | 91.114.255.255 | 32,766 |
| 231 | 91.115.0.0/17 | 91.115.0.1 to 91.115.127.254 | 91.115.127.255 | 32,766 |
| 232 | 91.115.128.0/17 | 91.115.128.1 to 91.115.255.254 | 91.115.255.255 | 32,766 |
| 233 | 91.116.0.0/17 | 91.116.0.1 to 91.116.127.254 | 91.116.127.255 | 32,766 |
| 234 | 91.116.128.0/17 | 91.116.128.1 to 91.116.255.254 | 91.116.255.255 | 32,766 |
| 235 | 91.117.0.0/17 | 91.117.0.1 to 91.117.127.254 | 91.117.127.255 | 32,766 |
| 236 | 91.117.128.0/17 | 91.117.128.1 to 91.117.255.254 | 91.117.255.255 | 32,766 |
| 237 | 91.118.0.0/17 | 91.118.0.1 to 91.118.127.254 | 91.118.127.255 | 32,766 |
| 238 | 91.118.128.0/17 | 91.118.128.1 to 91.118.255.254 | 91.118.255.255 | 32,766 |
| 239 | 91.119.0.0/17 | 91.119.0.1 to 91.119.127.254 | 91.119.127.255 | 32,766 |
| 240 | 91.119.128.0/17 | 91.119.128.1 to 91.119.255.254 | 91.119.255.255 | 32,766 |
| 241 | 91.120.0.0/17 | 91.120.0.1 to 91.120.127.254 | 91.120.127.255 | 32,766 |
| 242 | 91.120.128.0/17 | 91.120.128.1 to 91.120.255.254 | 91.120.255.255 | 32,766 |
| 243 | 91.121.0.0/17 | 91.121.0.1 to 91.121.127.254 | 91.121.127.255 | 32,766 |
| 244 | 91.121.128.0/17 | 91.121.128.1 to 91.121.255.254 | 91.121.255.255 | 32,766 |
| 245 | 91.122.0.0/17 | 91.122.0.1 to 91.122.127.254 | 91.122.127.255 | 32,766 |
| 246 | 91.122.128.0/17 | 91.122.128.1 to 91.122.255.254 | 91.122.255.255 | 32,766 |
| 247 | 91.123.0.0/17 | 91.123.0.1 to 91.123.127.254 | 91.123.127.255 | 32,766 |
| 248 | 91.123.128.0/17 | 91.123.128.1 to 91.123.255.254 | 91.123.255.255 | 32,766 |
| 249 | 91.124.0.0/17 | 91.124.0.1 to 91.124.127.254 | 91.124.127.255 | 32,766 |
| 250 | 91.124.128.0/17 | 91.124.128.1 to 91.124.255.254 | 91.124.255.255 | 32,766 |
| 251 | 91.125.0.0/17 | 91.125.0.1 to 91.125.127.254 | 91.125.127.255 | 32,766 |
| 252 | 91.125.128.0/17 | 91.125.128.1 to 91.125.255.254 | 91.125.255.255 | 32,766 |
| 253 | 91.126.0.0/17 | 91.126.0.1 to 91.126.127.254 | 91.126.127.255 | 32,766 |
| 254 | 91.126.128.0/17 | 91.126.128.1 to 91.126.255.254 | 91.126.255.255 | 32,766 |
| 255 | 91.127.0.0/17 | 91.127.0.1 to 91.127.127.254 | 91.127.127.255 | 32,766 |
| 256 | 91.127.128.0/17 | 91.127.128.1 to 91.127.255.254 | 91.127.255.255 | 32,766 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |